# Class SSIFlastmod

java.lang.Object
org.apache.catalina.ssi.SSIFlastmod

All Implemented Interfaces:
  `SSICommand`

public final class SSIFlastmod extends Object implements SSICommand
Implements the Server-side #flastmod command.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SSIFlastmod()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)`
  Processes the flastmod directive to output the last modified date of a file.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SSIFlastmod

    public SSIFlastmod()
    Default constructor.

- ## Method Details

  - ### process

    public long process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)
    Processes the flastmod directive to output the last modified date of a file.
    Specified by:
      `process` in interface `SSICommand`
    Parameters:
      `ssiMediator` - the ssi mediator
      `commandName` - the name of the actual command ( ie. echo )
      `paramNames` - The parameter names
      `paramValues` - The parameter values
      `writer` - the writer to output to
    Returns:
      the most current modified date resulting from any SSI commands